Bug 378231 - gtk-update-icon-cache failing after F8-Upgrade
gtk-update-icon-cache failing after F8-Upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 11:38 EST by Reindl Harald
Modified: 2009-01-09 02:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:24:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-11-12 11:38:23 EST
After upgrading F8 there were some dupes that could not be removed
So i eliminated the older ones with rpm -e --noscripts
"package-cleanup" says all is ok

To be sure i downloaded the F8-Version auf each package and tried to install
them with "rpm -ivh --force", the same messages "The generated cache was
invalid" (se follwoing output)

I also installed all rpm*-packages new to make sure the problem ist not there
After that i tried again but nothing really changes
The "invalid cache"-messages where also the while upgrading the system with yum

Has anyone an idea what happens here?

____

this are the files i have installed new:

alacarte-0.11.3-4.fc8.noarch.rpm          
rpm-4.4.2.2-3.fc8.i386.rpm
avahi-0.6.21-6.fc8.i386.rpm               
rpm-apidocs-4.4.2.2-3.fc8.i386.rpm
azureus-2.5.0.4-3.fc8.i386.rpm            
rpm-build-4.4.2.2-3.fc8.i386.rpm
control-center-2.20.1-5.fc8.i386.rpm      
rpm-libs-4.4.2.2-3.fc8.i386.rpm
gconf-editor-2.20.0-1.fc8.i386.rpm        
rpm-python-4.4.2.2-3.fc8.i386.rpm
gedit-2.20.3-1.fc8.i386.rpm               
rpmrebuild-2.1.1-9.fc8.noarch.rpm
gnome-games-2.20.1-1.fc8.i386.rpm        
system-config-display-1.0.51-4.fc8.noarch.rpm
gnome-nettool-2.20.0-2.fc8.i386.rpm      
system-config-language-1.2.12-1.fc8.noarch.rpm
gnome-panel-2.20.1-1.fc8.i386.rpm        
system-config-rootpassword-1.1.10-4.fc8.noarch.rpm
gthumb-2.10.7-1.fc8.i386.rpm             
system-config-samba-1.2.58-1.fc8.noarch.rpm
gucharmap-1.10.1-1.fc8.i386.rpm          
system-config-services-0.9.17-1.fc8.noarch.rpm
nautilus-2.20.0-6.fc8.i386.rpm           
system-config-soundcard-2.0.6-11.fc8.noarch.rpm
nautilus-cd-burner-2.20.0-1.fc8.i386.rpm 
system-config-users-1.2.72-1.fc8.noarch.rpm
openmpi-libs-1.2.4-1.fc8.i386.rpm         
vnc-4.1.2-23.fc8.i386.rpm


____

[root@nb downloads]# rpm -ivh --force *.rpm
Fehler: Aufruf von stat für /mnt/arrakis nicht möglich: Keine Berechtigung
Vorbereiten...              ########################################### [100%]
   1:system-config-soundcard########################################### [  4%]
The generated cache was invalid.
Fehler: %post(system-config-soundcard-2.0.6-11.fc8.noarch) Skriptlet
fehlgeschlagen, Beenden-Status 1
   2:system-config-services ########################################### [  7%]
The generated cache was invalid.
   3:system-config-samba    ########################################### [ 11%]
The generated cache was invalid.
   4:system-config-rootpassw########################################### [ 14%]
The generated cache was invalid.
Fehler: %post(system-config-rootpassword-1.1.10-4.fc8.noarch) Skriptlet
fehlgeschlagen, Beenden-Status 1
   5:system-config-language ########################################### [ 18%]
The generated cache was invalid.
Fehler: %post(system-config-language-1.2.12-1.fc8.noarch) Skriptlet
fehlgeschlagen, Beenden-Status 1
   6:system-config-display  ########################################### [ 21%]
The generated cache was invalid.
Fehler: %post(system-config-display-1.0.51-4.fc8.noarch) Skriptlet
fehlgeschlagen, Beenden-Status 1
   7:rpm-apidocs            ########################################### [ 25%]
   8:alacarte               ########################################### [ 29%]
The generated cache was invalid.
Fehler: %post(alacarte-0.11.3-4.fc8.noarch) Skriptlet fehlgeschlagen,
Beenden-Status 1
   9:gnome-panel            ########################################### [ 32%]
The generated cache was invalid.
  10:control-center         ########################################### [ 36%]
The generated cache was invalid.
Fehler: %post(control-center-2.20.1-5.fc8.i386) Skriptlet fehlgeschlagen,
Beenden-Status 1
  11:vnc                    ########################################### [ 39%]
The generated cache was invalid.
Fehler: %post(vnc-4.1.2-23.fc8.i386) Skriptlet fehlgeschlagen, Beenden-Status 1
  12:openmpi-libs           ########################################### [ 43%]
  13:nautilus-cd-burner     ########################################### [ 46%]
The generated cache was invalid.
  14:nautilus               ########################################### [ 50%]
The generated cache was invalid.
Fehler: %post(nautilus-2.20.0-6.fc8.i386) Skriptlet fehlgeschlagen, Beenden-Status 1
  15:gucharmap              ########################################### [ 54%]
The generated cache was invalid.
Fehler: %post(gucharmap-1.10.1-1.fc8.i386) Skriptlet fehlgeschlagen,
Beenden-Status 1
  16:gthumb                 ########################################### [ 57%]
The generated cache was invalid.
Fehler: %post(gthumb-2.10.7-1.fc8.i386) Skriptlet fehlgeschlagen, Beenden-Status 1
  17:gnome-nettool          ########################################### [ 61%]
The generated cache was invalid.
Fehler: %post(gnome-nettool-2.20.0-2.fc8.i386) Skriptlet fehlgeschlagen,
Beenden-Status 1
  18:gnome-games            ########################################### [ 64%]
The generated cache was invalid.
Fehler: %post(gnome-games-2.20.1-1.fc8.i386) Skriptlet fehlgeschlagen,
Beenden-Status 1
  19:gedit                  ########################################### [ 68%]
The generated cache was invalid.
Fehler: %post(gedit-2.20.3-1.fc8.i386) Skriptlet fehlgeschlagen, Beenden-Status 1
  20:gconf-editor           ########################################### [ 71%]
The generated cache was invalid.
Fehler: %post(gconf-editor-2.20.0-1.fc8.i386) Skriptlet fehlgeschlagen,
Beenden-Status 1
  21:azureus                ########################################### [ 75%]
Could not parse file '/usr/share/applications/kde/AdobeReader.desktop': No such
file or directory
The generated cache was invalid.
Fehler: %post(azureus-2.5.0.4-3.fc8.i386) Skriptlet fehlgeschlagen, Beenden-Status 1
  22:avahi                  ########################################### [ 79%]
  23:rpm                    ########################################### [ 82%]
  24:rpm-libs               ########################################### [ 86%]
  25:rpm-build              ########################################### [ 89%]
  26:rpm-python             ########################################### [ 93%]
  27:rpmrebuild             ########################################### [ 96%]
  28:system-config-users    ########################################### [100%]
The generated cache was invalid.
Comment 1 David Wood 2007-11-13 05:57:22 EST
I too have seen a lot of these problems during the f7 to f8 upgrade - many
scriptlets failing (requiring rpm -e --noscripts to erase) and generated cache
invalid messages.  This may explain why, when I add the "running green man"
logout button to the gnome panel I just get a shaded grey square icon instead.
Comment 2 Panu Matilainen 2007-11-13 06:48:17 EST
Scriptlets mass-failing (that's where the "invalid cache" messages come from)
are typically selinux-issues, there's nothing rpm itself can do about it.
SELinux relabeling strongly recommended...
Comment 3 David Wood 2007-11-13 07:00:36 EST
SELinux is disabled on the systems I'm using.
Comment 4 Reindl Harald 2007-11-13 07:03:28 EST
I simply do not believe SELinux is the problem because:

* SELinux is disabled on runtime
* SELinux is disabled with kernel-param
Comment 5 Panu Matilainen 2007-11-13 08:02:04 EST
Ok... all the above errors are caused by package scriptlets running
gtk-update-icon-cache being and failing for whatever reason, thus causing rpm
not to erase the old package. 

This is not an rpm bug but something else:
a) those packages shouldn't let scriptlets terminate with error codes to begin with
b) what the root issue behind gtk icon cache failures is I don't know

Reassigning to gtk2 maintainer who probably has a better clue what b) is.
Summary also updated...
Comment 6 Reindl Harald 2007-11-16 09:09:24 EST
Im not sure that this is only a gtk2-problem
On this machine vncviewer does not work and if i logout xserver is killed and a
"startx" says the is no font "fixed"

Trying to remove "vnc" fails, removing with "rpm -e --noscripts" rmeoves the
package, and installing again brings "scriptlet failed"

vncviewer exists with "Failed to load any font", i dont know really about the
background of the problem but it seems for me that is triggered....

Hope there will be soon a solution
The upgraded machine works just fine in most cases, but dupes after updates can
be a problem if packages are replaced from other ones, so you do not find them
but they are here :-(

----------------------------

(1/2): vnc-4.1.2-23.fc8.i 100% |=========================|  91 kB    00:01
(2/2): vnc-libs-4.1.2-23. 100% |=========================| 167 kB    00:02
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: vnc-libs                     ######################### [1/2]
  Installing: vnc                          ######################### [2/2]
The generated cache was invalid.
error: %post(vnc-4.1.2-23.fc8.i386) scriptlet failed, exit status 1

Installed: vnc.i386 0:4.1.2-23.fc8
Dependency Installed: vnc-libs.i386 0:4.1.2-23.fc8
Complete!
[harry@nb scripts]$ vncviewer

VNC Viewer Free Edition 4.1.2 for X - built Oct 23 2007 13:57:25
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.
Failed to load any font
Comment 7 Thomas Bitzer 2007-11-20 09:16:25 EST
Hi,

I also had this problem. I discovered that there is a file in the GTK icon
folder called: 

/usr/share/icons/hicolor/autopackage-installer.png

This file does not belong to any RPM package, according to the RPM DB on my
Fedora 8 system. I removed this file and /usr/bin/gtk-update-icon-cache stopped
throwing the "The generated cache was invalid." mesages. Further attempts to
remove the affected package by "rpm -e <packagename>" worked flawlessly.

Hope this helps.

Ciao, Thomas

Comment 8 David Wood 2007-11-20 09:48:44 EST
Thanks Thomas.

I can confirm that removing this file fixes the scriptlet problems I've been
having.  The file actually occured in 4 places on my system:

/usr/share/icons/
/usr/share/icons/hicolor/
/usr/share/pixmaps/
/usr/share/pixmaps/hicolor/

I don't know if it is required anywhere, but removing it from the
pixmaps/hicolor folder seems to have been recommended as well.
Comment 9 Reindl Harald 2007-11-20 10:10:09 EST
Yes it seems to fix the problem
But how can it be that the reason for package-dupes is a fucking image too much
in an folder? OK, a warning i would understand, but so this is very bad...

__

[harry@nb ~]$ locate autopackage-installer.png
/usr/share/icons/autopackage-installer.png
/usr/share/icons/hicolor/autopackage-installer.png
/usr/share/pixmaps/autopackage-installer.png
/usr/share/pixmaps/hicolor/autopackage-installer.png
[harry@nb ~]$ sudo rm -f /usr/share/icons/autopackage-installer.png
Passwort:
[harry@nb ~]$ sudo rm -f /usr/share/icons/hicolor/autopackage-installer.png
[harry@nb ~]$ sudo rm -f /usr/share/pixmaps/autopackage-installer.png
[harry@nb ~]$ sudo rm -f /usr/share/pixmaps/hicolor/autopackage-installer.png
[harry@nb ~]$ sudo rpm -e system-config-display
Fehler: Fehlgeschlagende Abhängigkeiten:
        system-config-display wird benötigt von (installiert)
livna-config-display-0.0.19-1.lvn8.noarch
[harry@nb ~]$ sudo rpm -e --nodeps system-config-display
Fehler: Aufruf von stat für /mnt/arrakis nicht möglich: Keine Berechtigung
[harry@nb ~]$ sudo yum -y install system-config-display
Loading "skip-broken" plugin
Loading "kernel-module" plugin
Loading "presto" plugin
Loading "fedorakmod" plugin
Loading "fastestmirror" plugin
Setting up and reading Presto delta metadata
No Presto metadata available for rhsoft-java
No Presto metadata available for rhsoft-generic
No Presto metadata available for livna
No Presto metadata available for fedora
No Presto metadata available for kde-redhat-all
No Presto metadata available for kde-redhat
No Presto metadata available for adobe-linux-i386
No Presto metadata available for rhsoft-fedora
No Presto metadata available for updates
No Presto metadata available for freshrpms
No Presto metadata available for remi
Loading mirror speeds from cached hostfile
Excluding Packages from Fedora 8 - i386
Finished
Excluding Packages from Fedora 8 - i386 - Updates
Finished
Reducing Freshrpms - Fedora 8 to included packages only
Finished
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package system-config-display.noarch 0:1.0.51-4.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 system-config-display   noarch     1.0.51-4.fc8     fedora            186 k

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 186 k
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/1): system-config-disp 100% |=========================| 186 kB    00:01
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: system-config-display        ######################### [1/1]
error: failed to stat /mnt/arrakis: Permission denied

Installed: system-config-display.noarch 0:1.0.51-4.fc8
Complete!
[harry@nb ~]$  
Comment 10 Pavel Roskin 2007-12-28 17:33:35 EST
Whatever program prints "The generated cache was invalid" should print its name
in the beginning.  I assume it's /usr/bin/gtk-update-icon-cache, since the
"strings" command finds that message inside the executable.  If possible, the
offending file should be named too.

I have always assumed it was an rpm error, I rebuilt the rpm database many times
and I was even thinking of reinstalling Fedora when I decided to search for the
message and found this bug.

I don't even remember that I have ever played with autopackage.  The timestamp
of autopackage-installer.png is October 5, 2005 - more than two years ago.  It's
my main development system, and I need to try a lot of software on it.

Please increase severity of the bug.  It pins old versions of packages and
causes conflicts in updates down the road.
Comment 11 James Laska 2008-08-19 10:57:28 EDT
Are you still experiencing the reported issue in F-9 or rawhide?

Thanks!
Comment 12 David Wood 2008-08-19 11:24:01 EDT
No further problems with updated F-9
Comment 13 James Laska 2008-08-19 13:34:10 EDT
djwood1: thanks, this bug appears to be isolated to F-8.
Comment 14 Bug Zapper 2008-11-26 03:21:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 02:24:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.